Subject: bug#46177: closed (Re: bug#46177: 27.1; Display problem with minibuffer overlay when using display property)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Jan 2021 12:11:01 +0000

Your bug report

#46177: 27.1; Display problem with minibuffer overlay when using display property

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46177: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46177
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46177: 27.1; Display problem with minibuffer overlay when using display property
From: Clemens <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 Jan 2021 13:10:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> It's just how Emacs worked since v21, so I think it's too late to
> change now.

I see, thanks for your discussion and help, I will close this then.

Subject: 27.1; Display problem with minibuffer overlay when using display property
From: Clemens <[email-masked]>
To: [email-masked]
Date: Fri, 29 Jan 2021 18:58:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When using an overlay with an `after-string` which uses `display`
the prompt background bleeds into the after string:

(set-face-attribute 'minibuffer-prompt nil :background "purple")

(minibuffer-with-setup-hook
     (lambda ()
       (overlay-put
        (make-overlay (point-max) (point-max) nil t t)
        'after-string (propertize " world"
                                  'display
				 " minibuffer")))
   (read-string "Hello"))

While I would expect it to be displayed like when using:

(minibuffer-with-setup-hook
     (lambda ()
       (overlay-put
        (make-overlay (point-max) (point-max) nil t t)
        'after-string " minibuffer"))
   (read-string "Hello"))